#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModifySidfmdQueues < ActiveRecord::Migration
  def change
    reversible do |dir|
      change_table :sidfmd_queues do |t|
        dir.down {
          t.remove :done
        }
        dir.up {
          t.boolean :done, :default => false
        }
      end
    end
  end
end
