#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

module SidfmVmApiControllerSupport

  # 処理結果とメッセージを生成
  # VMAPIでの更新系で処理を共通化するために使用しています
  def create_process_result(err_message = nil, opts = {})
    ret = { :success => true, :message => '' }
    if err_message then
      ret[:success] = false
      ret[:message] = err_message
    end
    opts.each do |k, v|
      ret[k] = v
    end
    ret
  end
end
